"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const buildInfoFileName = ".nsbuildinfo";
class BuildInfoFileService {
    constructor($fs, $projectChangesService) {
        this.$fs = $fs;
        this.$projectChangesService = $projectChangesService;
    }
    saveBuildInfoFile(platformData, buildInfoFileDirname) {
        const buildInfoFile = path.join(buildInfoFileDirname, buildInfoFileName);
        const prepareInfo = this.$projectChangesService.getPrepareInfo(platformData);
        const buildInfo = {
            prepareTime: prepareInfo.changesRequireBuildTime,
            buildTime: new Date().toString()
        };
        this.$fs.writeJson(buildInfoFile, buildInfo);
    }
    getBuildInfoFromFile(platformData, buildData) {
        const outputPath = buildData.outputPath || platformData.getBuildOutputPath(buildData);
        const buildInfoFile = path.join(outputPath, buildInfoFileName);
        if (this.$fs.exists(buildInfoFile)) {
            try {
                const buildInfo = this.$fs.readJson(buildInfoFile);
                return buildInfo;
            }
            catch (e) {
                return null;
            }
        }
        return null;
    }
}
exports.BuildInfoFileService = BuildInfoFileService;
$injector.register("buildInfoFileService", BuildInfoFileService);
